/**
 * Tungsten Finite State Machine Library (FSM)
 * Copyright (C) 2007-2009 Continuent Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 3 of the GNU Lesser General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * Initial developer(s): Robert Hodges
 * Contributor(s):
 */

package com.continuent.tungsten.fsm.core;

/**
 * Denotes an exception generated by an error in finite state
 * machine processing, such as a missing transition.  Subclasses
 * denote additional exceptions that may require special handling 
 * by client applications. 
 * 
 * @author <a href="mailto:robert.hodges@continuent.com">Robert Hodges</a>
 * @version 1.0
 */
public class FiniteStateException extends Exception
{
    private static final long serialVersionUID = 1L;

    /** Create new exception with message. */
    public FiniteStateException(String message)
    {
        super(message);
    }

    /** Create new exception with message and underlying cause. */
    public FiniteStateException(String message, Throwable cause)
    {
        super(message, cause);
    }
}
